Bug 842882 - Remove the PyXML dependency
Summary: Remove the PyXML dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openerp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alec Leamas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 843176
TreeView+ depends on / blocked
 
Reported: 2012-07-24 20:12 UTC by Toshio Ernie Kuratomi
Modified: 2013-02-21 05:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 05:42:14 UTC


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2012-07-24 20:12:55 UTC
Description of problem:
We're looking into removing the PyXML package from Fedora 18 as it is dead upstream and has the dubious behaviour of replacing the stdlib's xml module with its own code.  https://fedoraproject.org/wiki/User:Toshio/Remove_PyXML  I took a look at the openerp code and some upstream bug reports.  It looks like openerp actively ported away from PyXML sometime in the 5.0.x line.  So the Requires: PyXML in the Fedora package should just be dropped.

Comment 1 Toshio Ernie Kuratomi 2013-01-11 19:44:26 UTC
I've created an F19 feature for removing the PyXML dep.  If I don't hear back from you, I'll remove the Requires: PyXML in rawhide and we can see if things are okay.

(I'll probably do that after FUDCon ~week and a half)

Comment 2 Alec Leamas 2013-01-23 09:29:43 UTC
Oops, don't know how come I missed this bug. I'll take a look at it. Back soon.

Comment 3 Fedora Update System 2013-01-27 13:26:19 UTC
openerp-6.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openerp-6.1-3.fc18

Comment 4 Fedora Update System 2013-01-27 13:27:41 UTC
openerp-6.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openerp-6.1-3.fc17

Comment 5 Fedora Update System 2013-01-27 16:04:55 UTC
openerp-6.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openerp-6.1-4.fc17

Comment 6 Fedora Update System 2013-01-27 16:06:36 UTC
openerp-6.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openerp-6.1-4.fc18

Comment 7 Fedora Update System 2013-01-27 20:14:24 UTC
openerp-6.1-4.20130126_002033.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openerp-6.1-4.20130126_002033.fc18

Comment 8 Fedora Update System 2013-01-27 20:15:45 UTC
openerp-6.1-4.20130126_002033.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openerp-6.1-4.20130126_002033.fc17

Comment 9 Fedora Update System 2013-01-28 14:52:31 UTC
Package openerp-6.1-4.20130126_002033.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openerp-6.1-4.20130126_002033.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1565/openerp-6.1-4.20130126_002033.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-02-21 05:42:16 UTC
openerp-6.1-4.20130126_002033.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-02-21 05:53:02 UTC
openerp-6.1-4.20130126_002033.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.